//
//   MABaseOverlay+DDCategory.m
//   DDMAMapKit_Private
//   Created by DDIsFriend on 2023/2/1.
    

#import "MABaseOverlay+DDCategory.h"
#import <objc/runtime.h>

@implementation MABaseOverlay (DDCategory)
- (void)setDd_lineWidth:(CGFloat)dd_lineWidth{
    objc_setAssociatedObject(self, @selector(dd_lineWidth), @(dd_lineWidth), OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (CGFloat)dd_lineWidth{
    return [objc_getAssociatedObject(self, _cmd) floatValue];
}

- (void)setDd_strokeColor:(UIColor *)dd_strokeColor{
    objc_setAssociatedObject(self, @selector(dd_strokeColor), dd_strokeColor, OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (UIColor *)dd_strokeColor{
    return objc_getAssociatedObject(self, _cmd);
}

- (void)setDd_strokeColors:(NSArray *)dd_strokeColors{
    objc_setAssociatedObject(self, @selector(dd_strokeColors), dd_strokeColors, OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (NSArray *)dd_strokeColors{
    return objc_getAssociatedObject(self, _cmd);
}

- (void)setDd_lineJoinType:(MALineJoinType)dd_lineJoinType{
    objc_setAssociatedObject(self, @selector(dd_lineJoinType), @(dd_lineJoinType), OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (MALineJoinType)dd_lineJoinType{
    return (MALineJoinType)[objc_getAssociatedObject(self, _cmd) intValue];
}

- (void)setDd_lineCapType:(MALineCapType)dd_lineCapType{
    objc_setAssociatedObject(self, @selector(dd_lineCapType), @(dd_lineCapType), OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (MALineCapType)dd_lineCapType{
    return (MALineCapType)[objc_getAssociatedObject(self, _cmd) intValue];
}

- (void)setTag:(int)tag{
    objc_setAssociatedObject(self, @selector(tag), @(tag), OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (int)tag{
    return [objc_getAssociatedObject(self, _cmd) intValue];
}
@end
